Module
Contents
Index 🔎︎

# Add-in Functions, List of Analysis Functions Part Two

Så här använder du det här kommandot...

Infoga - Funktion - KategoriAdd-In

## IMABS

Returnerar det absoluta värdet av ett komplext tal.

### Syntax

IMABS("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

### Exempel

=IMABS("5+12j") returnerar 13.

## [text/scalc/01/func_imcos.xhp#imcos_head not found].

Returns the cosine of a complex number.

## [text/scalc/01/func_imcosh.xhp#imcosh_head not found].

Returns the hyperbolic cosine of a complex number.

## [text/scalc/01/func_imcot.xhp#imcot_head not found].

Returns the cotangent of a complex number.

## [text/scalc/01/func_imcsc.xhp#imcsc_head not found].

Returns the cosecant of a complex number.

## [text/scalc/01/func_imcsch.xhp#imcsch_head not found].

Returns the hyperbolic cosecant of a complex number.

## [text/scalc/01/func_imsec.xhp#imsec_head not found].

Returns the secant of a complex number.

## [text/scalc/01/func_imsech.xhp#imsech_head not found].

Returns the hyperbolic secant of a complex number.

## [text/scalc/01/func_imsin.xhp#imsin_head not found].

Returns the sine of a complex number.

## [text/scalc/01/func_imsinh.xhp#imsinh_head not found].

Returns the hyperbolic sine of a complex number.

## [text/scalc/01/func_imtan.xhp#imtan_head not found].

Returns the tangent of a complex number.

## CONVERT

Konverterar ett värde från en måttenhet till ett motsvarande värde i en annan måttenhet. Ange måttenheterna direkt som text inom citattecken eller som en referens. Om du skriver in måttenheterna i celler måste de överensstämma exakt med följande lista (versalkänslig): Om du t.ex. ska mata in ett litet l (för liter) i en cell skriver du apostrofen ' direkt följt av l.

Egenskap | Enheter
Massa | g, sg, lbm, u, ozm, stone, ton, grain, pweight, hweight, shweight, brton
Längd | m, mi, Nmi, in, ft, yd, ang, Pica, ell, parsec, lightyear, survey_mi
Tid | yr, day, hr, mn, sec, s
Tryck | Pa, atm, at, mmHg, Torr, psi
Kraft | N, dyn, dy, lbf, pond
Energi | J, e, c, cal, eV, ev, HPh, Wh, wh, flb, BTU, btu
Effekt | W, w, HP, PS
Magnetism | T, ga
Temperatur | C, F, K, kel, Reau, Rank
Volym | l, L, lt, tsp, tbs, oz, cup, pt, us_pt, qt, gal, m3, mi3, Nmi3, in3, ft3, yd3, ang3, Pica3, barrel, bushel, regton, Schooner, Middy, Glass
Yta | m2, mi2, Nmi2, in2, ft2, yd2, ang2, Pica2, Morgen, ar, acre, ha
Hastighet | m/s, m/sek, m/h, mph, kn, admkn
Information | bit, byte

Målenheter som skrivs med fet text kan ges ett prefixtecken från följande lista:

Prefix | Faktor
Y (yotta) | 10^24
Z (zetta) | 10^21
E (exa) | 10^18
P (peta) | 10^15
T (tera) | 10^12
G (giga) | 10^9
M (mega) | 10^6
k (kilo) | 10^3
h (hekto) | 10^2
e (deka) | 10^1
d (deci) | 10^-1
c (centi) | 10^-2
m (milli) | 10^-3
u (mikro) | 10^-6
n (nano) | 10^-9
p (piko) | 10^-12
f (femto) | 10^-15
a (atto) | 10^-18
z (zepto) | 10^-21
y (yokto) | 10^-24

Informationsenheterna "bit" och "byte" kan också föregås av något av följande IEC 60027-2/IEEE 1541-prefix:

ki kibi 1024

Mi mebi 1048576

Gi gibi 1073741824

Ti tebi 1099511627776

Pi pebi 1125899906842620

Ei exbi 1152921504606850000

Zi zebi 1180591620717410000000

Yi yobi 1208925819614630000000000

De funktioner vars namn slutar med _ADD eller _EXCEL2003 returnerar samma resultat som motsvarande funktioner i Microsoft Excel 2003 utan suffixen. Funktioner utan suffix ger resultat som är baserade på internationell standard.

### Syntax

CONVERT(Number; "FromUnit"; "ToUnit")

Tal är det siffervärde som ska omvandlas.

FrånEnhet är den enhet du konverterar från.

TillEnhet är den enhet du konverterar till. Båda enheterna måste vara av samma typ.

### Exempel

=CONVERT(10;"HP";"PS") returns, rounded to two decimal places, 10.14. 10 HP equal 10.14 PS.

=CONVERT(10;"km";"mi") returns, rounded to two decimal places, 6.21. 10 kilometers equal 6.21 miles. The k is the permitted prefix character for the factor 10^3.

## DUBBELFAKULTET

Returnerar dubbla fakulteten för ett tal.

### Syntax

DUBBELFAKULTET(Tal)

Returnerar Tal !!, dubbla fakulteten för Tal, där Tal är ett heltal som är större än eller lika med noll.

Vid jämna tal, DUBBELFAKULTET(n) returnerar:

2*4*6*8* ... *n

Vid udda tal, DUBBELFAKULTET(n) returnerar:

1*3*5*7* ... *n

DUBBELFAKULTET(0) returnerar 1 per definition.

### Exempel

=DUBBELFAKULTET(5) returnerar 15.

=DUBBELFAKULTET(6) returnerar 48.

=DUBBELFAKULTET(0) returnerar 1.

## IMAGINÄR

Returnerar imaginärdelen av ett komplext tal.

### Syntax

IMAGINARY("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

### Exempel

=IMAGINÄR("4+3j") returnerar 3.

## IMARGUMENT

Returnerar argumentet (fi-vinkeln) för ett komplext tal.

### Syntax

IMARGUMENT("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

### Exempel

=IMARGUMENT("3+4j") returnerar 0,927295.

## IMDIFF

Resultatet är subtraktionen av två komplexa tal.

### Syntax

IMSUB("KomplextTal1"; "KomplextTal2")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

### Exempel

=IMDIFF("13+4j";"5+3j") returnerar 8+j.

## IMDIV

Returnerar divisionen av två komplexa tal.

### Syntax

IMDIV("Täljare"; "Nämnare")

Täljare, Nämnare är komplexa tal som anges i formatet "x+yi" eller "x+yj".

### Exempel

=IMDIV("-238+240i";"10+24i") returnerar 5+12i.

## IMEUPPHÖJT

Returnerar potensen av e och det komplexa talet. Konstanten e har det ungefärliga värdet 2,71828182845904.

### Syntax

IMEXP("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

### Exempel

=IMEXP("1+j") returnerar 1,47+2,29j (avrundat).

## IMKONJUGAT

Returnerar det sammanfogade komplexa komplementet till ett komplext tal.

### Syntax

IMCONJUGATE("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

### Exempel

=IMKONJUGAT("1+j") returnerar 1-j.

## IMLN

Returnerar den naturliga logaritmen (till basen e) av ett komplext tal. Konstanten e har det ungefärliga värdet 2,71828182845904.

### Syntax

IMLN("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

### Exempel

=IMLN("1+j") returnerar 0,35+0,79j (avrundat).

## IMLOG10

Returnerar den vanliga logaritmen (till basen e) av ett komplext tal.

### Syntax

IMLOG10("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

### Exempel

=IMLOG10("1+j") returnerar 0,15+0,34j (avrundat).

## IMLOG2

Returnerar den binära logaritmen av ett komplext tal.

### Syntax

IMLOG2("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

### Exempel

=IMLOG2("1+j") returnerar 0,47+2,29j (avrundat).

## IMPRODUKT

Returnerar produkten av högst 29 komplexa tal.

### Syntax

IMPRODUCT("KomplextTal"; "KomplextTal1"; ...)

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

### Exempel

=IMPRODUKT("3+4j";"5-3j") returnerar 27+11j.

## IMREAL

Returnerar realdelen av ett komplext tal.

### Syntax

IMREAL("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

### Exempel

=IMREAL("1+3j") returnerar 1.

## IMROT

Returnerar kvadratroten av ett komplext tal.

### Syntax

IMSQRT("KomplextTal")

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

### Exempel

=IMROT("3+4i") returnerar 2+1i.

## IMSUM

Returnerar summan av högst 29 komplexa tal.

### Syntax

IMSUM("KomplextTal1"; "KomplextTal2"; ...)

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

### Exempel

=IMSUM("13+4j";"5+3j") returnerar 18+7j.

## IMUPPHÖJT

Resultatet är KomplextTal upphöjt till Tal.

### Syntax

IMPOWER("KomplextTal"; Tal)

KomplextTal är ett komplext tal som anges i formatet "x+yi" eller "x+yj".

Tal är exponenten.

### Exempel

=IMUPPHÖJT("2+3i";2) returnerar -5+12i.

## KOMPLEX

Returnerar ett komplext tal som har returnerats från en realdel och en imaginär del.

### Syntax

COMPLEX(RTal; ITal; Suffix)

Rtal är den reella koefficienten för det komplexa talet.

ITal är den imaginära koefficienten för det komplexa talet.

Suffix är en lista över alternativ, "i" eller "j".

### Exempel

=KOMPLEX(3;4;"j") returnerar 3+4j.

## OKT.TILL.BIN

Returnerar det binära talet för angivet oktaltal.

### Syntax

OKT.TILL.BIN(Tal; Antal siffror)

Tal är det oktala talet. Talet kan bestå av maximalt 10 siffror. Den mest signifikanta biten är teckenbiten. De följande bitarna returnerar värdet. Negativa tal anges som tvåkomplement.

Antal siffror är det antal siffror som genereras.

### Exempel

=OKT.TILL.BIN(3;3) returnerar 011.

## OKT.TILL.DEC

Returnerar decimaltalet för det angivna oktaltalet.

### Syntax

OKT.TILL.DEC(Tal)

Tal är det oktala talet. Talet kan bestå av maximalt 10 siffror. Den mest signifikanta biten är teckenbiten. De följande bitarna returnerar värdet. Negativa tal anges som tvåkomplement.

### Exempel

=OKT.TILL.DEC(144) returnerar 100.

## OKT.TILL.HEX

Returnerar det hexadecimala talet för angivet oktaltal.

### Syntax

OKT.TILL.HEX(Tal; Antal siffror)

Tal är det oktala talet. Talet kan bestå av maximalt 10 siffror. Den mest signifikanta biten är teckenbiten. De följande bitarna returnerar värdet. Negativa tal anges som tvåkomplement.

Antal siffror är det antal siffror som genereras.

### Exempel

=OKT.TILL.HEX (144;4) returnerar 0064.

Närliggande ämnen

Add-in Functions

Add-in Functions, List of Analysis Functions Part One

Statistics Functions

Functions by Category